Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## sharin.doc.builder.xhtml1
Class FormElem

    java.lang.Object
      sharin.doc.builder.Elem
          sharin.doc.builder.GenericXmlElem<E>
              sharin.doc.builder.xhtml1.GenericCoreElem<E>
                  sharin.doc.builder.xhtml1.GenericCommonElem<FormElem>
                      sharin.doc.builder.xhtml1.FormElem

    public class FormElem

extends GenericCommonElem<FormElem>

Constructor Summary
`FormElem(Object... nodes)`

Method Summary
`FormElem` | `accept(Object value)`
`FormElem` | `acceptcharset(Object value)`
`FormElem` | `action(Object value)`
`FormElem` | `enctype(Object value)`
`FormElem` | `method(Object value)`
`FormElem` | `methodGet()`
`FormElem` | `methodPost()`
`FormElem` | `name(Object value)`
`FormElem` | `onreset(Object value)`
`FormElem` | `onsubmit(Object value)`
`FormElem` | `target(Object value)`

Methods inherited from class sharin.doc.builder.xhtml1.GenericCommonElem
`dir, lang, onclick, ondblclick, onkeydown, onkeypress, onkeyup, onmousedown, onmousemove, onmouseout, onmouseover, onmouseup, xmllang`

Methods inherited from class sharin.doc.builder.xhtml1.GenericCoreElem
`clas, id, style, title`

Methods inherited from class sharin.doc.builder.GenericXmlElem
`_, attr, toString`

Methods inherited from class sharin.doc.builder.Elem
`getAttrList, getName, getNodeList, setName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FormElem

    public FormElem(Object... nodes)

Method Detail

### accept

    public FormElem accept(Object value)

### acceptcharset

    public FormElem acceptcharset(Object value)

### action

    public FormElem action(Object value)

### enctype

    public FormElem enctype(Object value)

### method

    public FormElem method(Object value)

### methodGet

    public FormElem methodGet()

### methodPost

    public FormElem methodPost()

### name

    public FormElem name(Object value)

### onreset

    public FormElem onreset(Object value)

### onsubmit

    public FormElem onsubmit(Object value)

### target

    public FormElem target(Object value)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SHU. All Rights Reserved.